Выполнение Команды на Сервере
curl --request POST \
--url https://api.erlcrussia.xyz/v2/erlc/server/command \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"command": ":h Всем Привет"
}
'import requests
url = "https://api.erlcrussia.xyz/v2/erlc/server/command"
payload = { "command": ":h Всем Привет" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({command: ':h Всем Привет'})
};
fetch('https://api.erlcrussia.xyz/v2/erlc/server/command', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Status": "Queued",
"QueueSize": 5
}
ER:LC API V2
Выполнение Команды на Сервере
Отправляет команду на выполнение на сервер ER:LC.
Команды добавляются в глобальную очередь с ограничением на максимальное количество команд.
Примечание: Этот эндпоинт не подвержен Rate Limiting (120 запросов/мин).
POST
/
erlc
/
server
/
command
Выполнение Команды на Сервере
Авторизации
Стандартный API ключ для доступа к ER:LC эндпоинтам.
Передается в заголовке Authorization: Bearer <ключ>.
ОБЯЗАТЕЛЕН ДЛЯ ВСЕХ ER:LC ЭНДПОИНТОВ.
Тело
application/json
Команда для выполнения на сервере.
Пример:
":h Всем Привет"
Была ли эта страница полезной?
⌘I